#ifndef CLOCKHPP
#define CLOCKHPP

#include "icon.hpp"
#include "box.hpp"
#include "graphics.hpp"
#include "events.hpp"

#define CLOCK_WIDTH 95
#define CLOCK_HEIGHT 44
#define CLOCK_LEGEND_HEIGHT 14

class Clock: public Icon {

protected:

	char time_zone [20];
	ShadedBox* box;
	float time_difference;
	long current_time;

public:

	Clock(int, int, char* = "", float = 0);
	virtual void Display();
	virtual void Update();
	virtual ~Clock();
};

#endif

