#ifndef DATABASEHPP
#define DATABASEHPP

#include "limit.hpp"

extern int InsertionBarX;
extern int InsertionBarY;

// page selection button definitions
typedef struct PAGE_BUTTON_DEFINITION {
  char descriptor [MAX_LEGEND_LENGTH + 1];
  void (*activation_function)();
} PAGE_BUTTON_DEFINITION;
extern PAGE_BUTTON_DEFINITION Pages [];

typedef struct FIELD {
  char* legend;
  char* string;
} FIELD;

typedef struct RecorderData {
  int tape_state;
  float fader;
  float signal_level;
  float bass;
  float treble;
  int source;
  int defeat;
}  RecorderData;

extern RecorderData RecorderSettings;

#endif
