#ifndef ICONHPP
#define ICONHPP

class Icon {

	friend class Screen;

protected:

	int x1, y1, x2, y2;

public:

	Icon(int, int, int, int);

	virtual void Display() = 0;
	virtual void Update() {}
	virtual void LeftButtonPressed() {}
	virtual void LeftButtonReleased() {}
	virtual void MiddleButtonPressed() {}
	virtual void MiddleButtonReleased() {}
	virtual void LeftButtonDragged(unsigned,
				       unsigned,
				       int) {}
	virtual void MiddleButtonDragged(unsigned,
				       unsigned,
				       int) {}
	virtual void KeyTyped(int) {}
	virtual ~Icon();
};

#endif

