#ifndef PIANOPAGEHPP
#define PIANOPAGEHPP

#include "page.hpp"
#include "database.hpp"
#include "selector.hpp"
#include "keyboard.hpp"
#include "melody.hpp"
#include "counter.hpp"

class PianoPage: public Page {

	COLOR_TYPE title_color;

	static int recorder_mode;
	static int keyboard_note;
	static int counter;

	HorizontalSelector* tape_controls;
	Keyboard* keyboard_one;
	Keyboard* keyboard_two;
	Melody* melody_recorder;
	TapeCounter* tape_counter;

public:

	PianoPage();
	void Display();
	virtual ~PianoPage();
};

extern void OpenPianoPage();

#endif
