#ifndef DESCRIPHPP
#define DESCRIPHPP

#include "box.hpp"
#include "limit.hpp"
extern Graphics* GraphicsHandler;

class Description: public Icon {

	int x1, y1, x2, y2;
	Box* box;
	char text [MAX_LEGEND_LENGTH + 1];

	COLOR_TYPE border_color;
	COLOR_TYPE fill_color;
	COLOR_TYPE text_color;

public:

	Description(int, int, int, int,
		    COLOR_TYPE, COLOR_TYPE, COLOR_TYPE);
	void SetText(char*);
	void Display();
	virtual ~Description();
};


#endif
